linux-ti-omap4: 3.0.0-1216.28 -proposed tracker

Bug #1046422 reported by Brad Figg on 2012-09-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
Herton R. Krzesinski
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-1216.28 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 05. September 2012 16:32 UTC
kernel-stable-Certification-testing-end:Wednesday, 05. September 2012 16:47 UTC
kernel-stable-Prepare-package-end:Wednesday, 12. September 2012 23:45 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 12. September 2012 23:45 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 13. September 2012 00:15 UTC
kernel-stable-Verification-testing-start:Thursday, 13. September 2012 01:16 UTC
kernel-stable-Security-signoff-start:Thursday, 13. September 2012 03:00 UTC
kernel-stable-Verification-testing-end:Thursday, 13. September 2012 03:00 UTC
kernel-stable-Regression-testing-start:Thursday, 13. September 2012 03:00 UTC
kernel-stable-Security-signoff-end:Friday, 14. September 2012 22:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 20. September 2012 17:00 UTC
kernel-stable-Regression-testing-end:Thursday, 20. September 2012 17:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 21. September 2012 16:15 UTC
kernel-stable-Promote-to-updates-end:Friday, 21. September 2012 16:15 UTC

This tracking bug was opened to be worked from linux-3.0.0-26.42 update (bug 1045707)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-09-05
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-oneiric.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 3.0.0-1216.28 -proposed tracker
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-13
description: updated
Brad Figg (brad-figg) on 2012-09-13
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs verified.

Brad Figg (brad-figg) on 2012-09-13
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-09-14
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-20
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1216.28

---------------
linux-ti-omap4 (3.0.0-1216.28) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1046422

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.0.0-26.42

  [ Ubuntu: 3.0.0-26.42 ]

  * Release Tracking Bug
    - LP: #1045707
  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * x86: Simplify code by removing a !SMP #ifdefs from 'struct cpuinfo_x86'
    - LP: #1037281
  * Redefine ATOMIC_INIT and ATOMIC64_INIT to drop the casts
    - LP: #1037281
  * SUNRPC: return negative value in case rpcbind client creation error
    - LP: #1037281
  * nilfs2: fix deadlock issue between chcp and thaw ioctls
    - LP: #1037281
  * pcdp: use early_ioremap/early_iounmap to access pcdp table
    - LP: #1037281
  * mm: fix wrong argument of migrate_huge_pages() in
    soft_offline_huge_page()
    - LP: #1037281
  * ARM: 7478/1: errata: extend workaround for erratum #720789
    - LP: #1037281
  * ARM: 7479/1: mm: avoid NULL dereference when flushing gate_vma with
    VIVT caches
    - LP: #1037281
  * mm: mmu_notifier: fix freed page still mapped in secondary MMU
    - LP: #1037281
  * mac80211: cancel mesh path timer
    - LP: #1037281
  * x86, nops: Missing break resulting in incorrect selection on Intel
    - LP: #1037281
  * random: Add support for architectural random hooks
    - LP: #1037281
  * fix typo/thinko in get_random_bytes()
    - LP: #1037281
  * random: Use arch_get_random_int instead of cycle counter if avail
    - LP: #1037281
  * random: Use arch-specific RNG to initialize the entropy store
    - LP: #1037281
  * random: Adjust the number of loops when initializing
    - LP: #1037281
  * drivers/char/random.c: fix boot id uniqueness race
    - LP: #1037281
  * random: make 'add_interrupt_randomness()' do something sane
    - LP: #1037281
  * random: use lockless techniques in the interrupt path
    - LP: #1037281
  * random: create add_device_randomness() interface
    - LP: #1037281
  * usb: feed USB device information to the /dev/random driver
    - LP: #1037281
  * net: feed /dev/random with the MAC address when registering a device
    - LP: #1037281
  * random: use the arch-specific rng in xfer_secondary_pool
    - LP: #1037281
  * random: add new get_random_bytes_arch() function
    - LP: #1037281
  * random: add tracepoints for easier debugging and verification
    - LP: #1037281
  * MAINTAINERS: Theodore Ts'o is taking over the random driver
    - LP: #1037281
  * rtc: wm831x: Feed the write counter into device_add_randomness()
    - LP: #1037281
  * mfd: wm831x: Feed the device UUID into device_add_randomness()
    - LP: #1037281
  * random: remove rand_initialize_irq()
    - LP: #1037281
  * random: Add comment to random_initialize()
    - LP: #1037281
  * dmi: Feed DMI table to /dev/random driver
    - LP: #1037281
  * random: mix in architectural randomness in extract_buf()
    - LP: #1037281
  * x86, microcode: microcode_core.c simple_strtoul cleanup
    - LP: #1037281
  * x86, microcode: Sanitize per-cpu microcode reloading interface
    - LP: #1037281
  * mm: hugetlbfs: close race during teardown of hugetlbfs shared pa...

Read more...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

Released to both -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers